| 0.6.1

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
image Class Reference

## Public Types
typedef dim3_t | dim_type
typedef size_t | size_type

## Public Member Functions
size_type | baseFace () const
size_type | baseLayer () const
size_type | baseLevel () const
void | clear ()
template<typename genType >
void | clear (genType const &Texel)
void * | data ()
void const * | data () const
template<typename genType >
genType * | data ()
template<typename genType >
genType const * | data () const
dim_type | dimensions () const
bool | empty () const
| image ()
| image (format const &Format, dim_type const &Dimensions)
| image (storage const &Storage, size_type BaseLayer, size_type MaxLayer, size_type BaseFace, size_type MaxFace, size_type BaseLevel, size_type MaxLevel)
template<typename genType >
genType | load (dim_type const &TexelCoord)
size_type | maxFace () const
size_type | maxLayer () const
size_type | maxLevel () const
| operator storage () const
size_type | size () const
template<typename genType >
size_type | size () const
template<typename genType >
void | store (dim_type const &TexelCoord, genType const &Data)

## Detailed Description

Image.

Definition at line 41 of file image.hpp.

## Member Typedef Documentation

typedef dim3_t dim_type

Definition at line 44 of file image.hpp.

typedef size_t size_type

Definition at line 45 of file image.hpp.

## Constructor & Destructor Documentation

image | ( |  | ) |

image | ( | format const & | Format,
|  | dim_type const & | Dimensions
| ) |  |
| explicit

Allocate a new storage constructor.

image | ( | storage const & | Storage,
|  | size_type | BaseLayer,
|  | size_type | MaxLayer,
|  | size_type | BaseFace,
|  | size_type | MaxFace,
|  | size_type | BaseLevel,
|  | size_type | MaxLevel
| ) |  |
| explicit

Reference an exiting storage constructor.

## Member Function Documentation

size_type baseFace | ( |  | ) | const

size_type baseLayer | ( |  | ) | const

size_type baseLevel | ( |  | ) | const

void clear | ( |  | ) |

void clear | ( | genType const & | Texel | ) |

void* data | ( |  | ) |

void const* data | ( |  | ) | const

genType* data | ( |  | ) |

genType const* data | ( |  | ) | const

dim_type dimensions | ( |  | ) | const

bool empty | ( |  | ) | const

genType load | ( | dim_type const & | TexelCoord | ) |

size_type maxFace | ( |  | ) | const

size_type maxLayer | ( |  | ) | const

size_type maxLevel | ( |  | ) | const

operator storage | ( |  | ) | const

Cast an image into a storage.

size_type size | ( |  | ) | const

size_type size | ( |  | ) | const

void store | ( | dim_type const & | TexelCoord,
|  | genType const & | Data
| ) |  |